<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/parent"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:showIn="@layout/activity_leave_calender">

    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_margin="@dimen/custom_margin"
        app:cardBackgroundColor="@color/white"
        app:cardCornerRadius="@dimen/_12dp"
        app:cardElevation="@dimen/custom_margin">

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/custom_margin"
                android:background="@drawable/ic_round_corner">

                <com.prolificinteractive.materialcalendarview.MaterialCalendarView
                    android:id="@+id/calendarView"
                    android:layout_width="match_parent"
                    android:layout_height="570dp"
                    android:layout_margin="@dimen/custom_margin"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    app:mcv_firstDayOfWeek="monday"
                    app:mcv_selectionColor="@color/colorPrimary"
                    app:mcv_showOtherDates="all" />
            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/appbar_padding_top"
                android:layout_marginTop="@dimen/_20dp"
                android:orientation="horizontal">

                <androidx.appcompat.widget.AppCompatTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:drawablePadding="@dimen/appbar_padding_top"
                    android:text="@string/applied_leave"
                    android:textColor="@color/grayfor_login"
                    android:textSize="@dimen/text_size_small18"
                    android:textStyle="normal"
                    app:drawableStartCompat="@drawable/ic_circle_applied_leave"
                    tools:ignore="RtlSymmetry" />

                <androidx.appcompat.widget.AppCompatTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/padding_10dp"
                    android:drawablePadding="@dimen/appbar_padding_top"
                    android:text="@string/approved_leave"
                    android:textColor="@color/grayfor_login"
                    android:textSize="@dimen/text_size_small18"
                    android:textStyle="normal"
                    app:drawableStartCompat="@drawable/ic_circle_approved_leave"
                    tools:ignore="RtlSymmetry" />

                <androidx.appcompat.widget.AppCompatTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/padding_10dp"
                    android:drawablePadding="@dimen/appbar_padding_top"
                    android:text="@string/reject_leave"
                    android:textColor="@color/grayfor_login"
                    android:textSize="@dimen/text_size_small18"
                    android:textStyle="normal"
                    app:drawableStartCompat="@drawable/ic_circle_gov_leave"
                    tools:ignore="RtlSymmetry" />
            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/rlLeaveDetail"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginStart="@dimen/_20dp"
                android:layout_marginTop="@dimen/padding_10dp"
                android:layout_marginEnd="@dimen/padding_10dp"
                android:layout_marginBottom="@dimen/padding_10dp"
                android:gravity="center_vertical"
                android:orientation="vertical">

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/tvLeaveDetail"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:fontFamily="sans-serif"
                    android:padding="@dimen/custom_margin"
                    android:text="@string/leave_details"
                    android:textColor="@color/grayfor_login"
                    android:textSize="@dimen/text_size_small18"
                    android:textStyle="bold" />

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/tvLeaveDate"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/padding_10dp"
                    android:drawablePadding="@dimen/appbar_padding_top"
                    android:fontFamily="sans-serif"
                    android:padding="@dimen/custom_margin3dp"
                    android:text=""
                    android:textColor="@color/grayfor_login"
                    android:textSize="@dimen/text_size_medium"
                    app:drawableStartCompat="@drawable/circle_black" />

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/tvLeaveType"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/padding_10dp"
                    android:drawablePadding="@dimen/appbar_padding_top"
                    android:fontFamily="sans-serif"
                    android:padding="@dimen/custom_margin3dp"
                    android:text=""
                    android:textColor="@color/grayfor_login"
                    android:textSize="@dimen/text_size_medium"
                    app:drawableStartCompat="@drawable/circle_black" />

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/tvLeaveReason"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/padding_10dp"
                    android:drawablePadding="@dimen/appbar_padding_top"
                    android:fontFamily="sans-serif"
                    android:padding="@dimen/custom_margin3dp"
                    android:text=""
                    android:textColor="@color/grayfor_login"
                    android:textSize="@dimen/text_size_medium"
                    app:drawableStartCompat="@drawable/circle_black" />

            </androidx.appcompat.widget.LinearLayoutCompat>
        </androidx.appcompat.widget.LinearLayoutCompat>
    </androidx.cardview.widget.CardView>

</androidx.constraintlayout.widget.ConstraintLayout>